<?php

require_once 'connect.php';
require_once 'inc/messages.php';

// retorna array com lista de módulos, ou false se deu erro
function dom_ipi_solidario_getAll() {
  global $conexao;
  $sql = 'select * from erpc_dom_ipi_solidario where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function dom_ipi_solidario_getById($id) {
  global $conexao;
  $sql = 'select * from erpc_dom_ipi_solidario where id=? and st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function dom_ipi_solidario_insert($dom_ipi_solidario, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_dom_ipi_solidario ';
  $campos = array('ds_ipi_solid', 'st_ativo');
  $values = array();
  foreach($campos as $campo) {
    $values[] = $dom_ipi_solidario[$campo];
  }
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values, $error);
  if ($ok !== false) {
    if ($error === null) {
      addMessage('Inserido com sucesso');
    }
  }
  return $ok;
}

// altera a senha do usuário
function dom_ipi_solidario_update($dom_ipi_solidario) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_dom_ipi_solidario set ';
  $campos = array('ds_ipi_solid');
  $values = array();
  foreach($campos as $campo) {
    $sql .= $campo . '=?,';
    $values[] = $dom_ipi_solidario[$campo];
  }
  $sql = trim($sql, ',');
  $sql .= ' where id = ?';
  $values[] = $dom_ipi_solidario['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function dom_ipi_solidario_delete($dom_ipi_solidario) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_dom_ipi_solidario set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $dom_ipi_solidario['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function dom_ipi_solidario_create() {
  $dom_ipi_solidario = array(
    'id' => '',
    'ds_ipi_solid' => '',
    'st_ativo' => '1',
  );
  return $dom_ipi_solidario;
}
